%global sum	Parody of Mortal Kombat

Summary:	%{sum}
Name:		openmortal
Version:	0.7.1
Release:	%mkrel 26
License:        GPLv2
Group:          Games/Arcade
Url:            https://openmortal.sourceforge.net/
Source0:	openmortal-0.7.tar.bz2
Source1:	laurence.zip
Source2:	ikari.zip
Source11:	openmortal-16x16.png
Source12:	openmortal-32x32.png
Source13:	openmortal-48x48.png
Patch0:		openmortal-0.7-extra-qualification.patch
Patch1:		openmortal-0.7-fix-build-with-freetype2.patch
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_net)
#BuildRequires: SDL_ttf-devel
BuildRequires:	freetype2-devel
BuildRequires:	libnsl-devel
BuildRequires:	perl-devel

%description
Mortal Szombat is a parody of the popular coin-up game, Mortal Kombat.

It is currently playable (maybe even enjoyable), although it is still
under development. Only two-player game is supported, single-player games
against computer opponent is not planned yet.

There are currently 9 playable characters, and 8 more in the making!

%prep
%setup -n %{name}-0.7 -q
%patch0 -p0
%patch1 -p1 -b .freetype-fix

unzip %{SOURCE1} -d data/gfx
unzip %{SOURCE2} -d data/gfx

perl -pi -e "s|level6.jpg|level6.jpg level12.desc level12_arena.png\
 level12_background.png level12_left.png level12_right.png level13.desc\
 level13_arena.png level13_background.png level13_plane2.png|"\
 data/gfx/Makefile.in

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Mortal Szombat
Comment=%{sum}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

#icons
install %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%files
%doc AUTHORS ChangeLog PACKAGERS README TODO
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog
* Sat Dec 02 2023 tv <tv> 0.7.1-26.mga10
+ Revision: 2012673
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.7.1-25.mga9
+ Revision: 1862652
- Rebuild for Perl 5.36

* Fri Apr 01 2022 umeabot <umeabot> 0.7.1-24.mga9
+ Revision: 1840005
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.7.1-23.mga9
+ Revision: 1726376
- Rebuild for perl 5.34

* Fri Dec 11 2020 wally <wally> 0.7.1-22.mga8
+ Revision: 1655469
- BR libnsl

* Wed Jun 17 2020 umeabot <umeabot> 0.7.1-21.mga8
+ Revision: 1594235
- Rebuild for perl 5.32

* Wed Apr 15 2020 danf <danf> 0.7.1-20.mga8
+ Revision: 1567471
- Fix Comment= in .desktop file to stop referring to debug sources

* Sun Feb 16 2020 umeabot <umeabot> 0.7.1-19.mga8
+ Revision: 1530182
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Aug 27 2019 tmb <tmb> 0.7.1-18.mga8
+ Revision: 1433993
- rebuild for perl 5.30

* Sun Sep 23 2018 umeabot <umeabot> 0.7.1-17.mga7
+ Revision: 1300024
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.7.1-16.mga7
+ Revision: 1250083
- Rebuild for perl 5.28

* Mon Jul 23 2018 wally <wally> 0.7.1-15.mga7
+ Revision: 1245007
- fix build on aarch64
- use new make macros

* Sat Jul 22 2017 neoclust <neoclust> 0.7.1-14.mga7
+ Revision: 1127142
- Rebuild against new Perl 5.26

* Fri Feb 12 2016 umeabot <umeabot> 0.7.1-13.mga6
+ Revision: 956546
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 tv <tv> 0.7.1-12.mga6
+ Revision: 846023
- rebuild with soname-ified perl

* Wed Oct 15 2014 umeabot <umeabot> 0.7.1-11.mga5
+ Revision: 743935
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.1-10.mga5
+ Revision: 683224
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 wally <wally> 0.7.1-9.mga5
+ Revision: 672703
- update license
- add patch to fix build with freetype2

* Fri Oct 18 2013 umeabot <umeabot> 0.7.1-8.mga4
+ Revision: 508724
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.7.1-7.mga3
+ Revision: 362049
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 zezinho <zezinho> 0.7.1-6.mga3
+ Revision: 269344
- cleanup spec

* Sat Jun 18 2011 zezinho <zezinho> 0.7.1-5.mga2
+ Revision: 109335
- imported package openmortal

